Package org.flowable.engine.delegate.event

# Interface FlowableActivityEvent

All Superinterfaces:
  `FlowableEngineEvent`, `FlowableEvent`

All Known Subinterfaces:
  `FlowableActivityCancelledEvent`, `FlowableConditionalEvent`, `FlowableErrorEvent`, `FlowableEscalationEvent`, `FlowableMessageEvent`, `FlowableMultiInstanceActivityCancelledEvent`, `FlowableMultiInstanceActivityCompletedEvent`, `FlowableMultiInstanceActivityEvent`, `FlowableSignalEvent`

All Known Implementing Classes:
  `FlowableActivityCancelledEventImpl`, `FlowableActivityEventImpl`, `FlowableConditionalEventImpl`, `FlowableErrorEventImpl`, `FlowableEscalationEventImpl`, `FlowableMessageEventImpl`, `FlowableMultiInstanceActivityCancelledEventImpl`, `FlowableMultiInstanceActivityCompletedEventImpl`, `FlowableMultiInstanceActivityEventImpl`, `FlowableSignalEventImpl`

public interface FlowableActivityEvent extends FlowableEngineEvent
An `FlowableEvent` related to an activity within an execution.

Author:
  Frederik Heremans, Joram Barrez

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getActivityId()`
  `String`
  `getActivityName()`
  `String`
  `getActivityType()`
  `String`
  `getBehaviorClass()`

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEngineEvent

  `getExecutionId, getProcessDefinitionId, getProcessInstanceId, getScopeDefinitionId, getScopeId, getScopeType, getSubScopeId`

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEvent

  `getType`

- ## Method Details

  - ### getActivityId

    String getActivityId()
    Returns:
      the id of the activity this event is related to. This corresponds to an id defined in the process definition.

  - ### getActivityName

    String getActivityName()
    Returns:
      the name of the activity this event is related to.

  - ### getActivityType

    String getActivityType()
    Returns:
      the type of the activity (if set during parsing).

  - ### getBehaviorClass

    String getBehaviorClass()
    Returns:
      the behaviourclass of the activity (if it could be determined)